JmxRemoteLifecycleListener (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener

- java.lang.Object
- - org.apache.tomcat.util.net.SSLHostConfig
  - - org.apache.catalina.mbeans.JmxRemoteLifecycleListener

- All Implemented Interfaces:
    Serializable, LifecycleListener

  Deprecated.
  The features provided by this listener are now available in the remote JMX capability included with the JRE. This listener will be removed in Tomcat 10 and may be removed from Tomcat 9.0.x some time after 2020-12-31.

      @Deprecated
      public class JmxRemoteLifecycleListener
      extends SSLHostConfig
      implements LifecycleListener

  This listener fixes the port used by JMX/RMI Server making things much simpler if you need to connect jconsole or similar to a remote Tomcat instance that is running behind a firewall. Only the ports are configured via the listener. The remainder of the configuration is via the standard system properties for configuring JMX.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory` Deprecated.
    `static class` | `JmxRemoteLifecycleListener.RmiServerBindSocketFactory` Deprecated.
    `static class` | `JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory` Deprecated.

    - ### Nested classes/interfaces inherited from class org.apache.tomcat.util.net.SSLHostConfig

      `SSLHostConfig.CertificateVerification, SSLHostConfig.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accessFile` Deprecated.
    `protected boolean` | `authenticate` Deprecated.
    `protected JMXConnectorServer` | `csPlatform` Deprecated.
    `protected String` | `loginModuleName` Deprecated.
    `protected String` | `passwordFile` Deprecated.
    `protected String` | `rmiBindAddress` Deprecated.
    `protected int` | `rmiRegistryPortPlatform` Deprecated.
    `protected boolean` | `rmiRegistrySSL` Deprecated.
    `protected int` | `rmiServerPortPlatform` Deprecated.
    `protected boolean` | `rmiServerSSL` Deprecated.
    `protected static StringManager` | `sm` Deprecated.
    `protected boolean` | `useLocalPorts` Deprecated.

    - ### Fields inherited from class org.apache.tomcat.util.net.SSLHostConfig

      `DEFAULT_SSL_HOST_NAME, SSL_PROTO_ALL_SET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxRemoteLifecycleListener()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessFile()` Deprecated.
    `String` | `getLoginModuleName()` Deprecated.
    `String` | `getPasswordFile()` Deprecated.
    `String` | `getRmiBindAddress()` Deprecated. Get the inet address on which the Platform RMI server is exported.
    `int` | `getRmiRegistryPortPlatform()` Deprecated. Get the port on which the Platform RMI registry is exported.
    `int` | `getRmiServerPortPlatform()` Deprecated. Get the port on which the Platform RMI server is exported.
    `boolean` | `getUseLocalPorts()` Deprecated. Get the flag that indicates that local ports should be used for all connections.
    `protected void` | `init()` Deprecated.
    `boolean` | `isAuthenticate()` Deprecated.
    `boolean` | `isRmiRegistrySSL()` Deprecated.
    `boolean` | `isRmiServerSSL()` Deprecated.
    `void` | `lifecycleEvent(LifecycleEvent event)` Deprecated. Acknowledge the occurrence of the specified event.
    `void` | `setAccessFile(String accessFile)` Deprecated.
    `void` | `setAuthenticate(boolean authenticate)` Deprecated.
    `void` | `setLoginModuleName(String loginModuleName)` Deprecated.
    `void` | `setPasswordFile(String passwordFile)` Deprecated.
    `void` | `setRmiBindAddress(String theRmiBindAddress)` Deprecated. Set the inet address on which the Platform RMI server is exported.
    `void` | `setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)` Deprecated. Set the port on which the Platform RMI registry is exported.
    `void` | `setRmiRegistrySSL(boolean rmiRegistrySSL)` Deprecated.
    `void` | `setRmiServerPortPlatform(int theRmiServerPortPlatform)` Deprecated. Set the port on which the Platform RMI server is exported.
    `void` | `setRmiServerSSL(boolean rmiServerSSL)` Deprecated.
    `void` | `setUseLocalPorts(boolean useLocalPorts)` Deprecated. Set the flag that indicates that local ports should be used for all connections.

    - ### Methods inherited from class org.apache.tomcat.util.net.SSLHostConfig

      `addCertificate, adjustRelativePath, getCaCertificateFile, getCaCertificatePath, getCertificateChainFile, getCertificateFile, getCertificateKeyAlias, getCertificateKeyFile, getCertificateKeyPassword, getCertificateKeystoreFile, getCertificateKeystorePassword, getCertificateKeystoreProvider, getCertificateKeystoreType, getCertificateRevocationListFile, getCertificateRevocationListPath, getCertificates, getCertificates, getCertificateVerification, getCertificateVerificationAsString, getCertificateVerificationDepth, getCipherList, getCiphers, getConfigType, getDisableCompression, getDisableSessionTickets, getEnabledCiphers, getEnabledProtocols, getHonorCipherOrder, getHostName, getInsecureRenegotiation, getJsseCipherNames, getKeyManagerAlgorithm, getObjectName, getOpenSslConf, getOpenSslConfContext, getOpenSslContext, getProtocols, getRevocationEnabled, getSessionCacheSize, getSessionTimeout, getSslProtocol, getTrustManagerClassName, getTruststore, getTruststoreAlgorithm, getTruststoreFile, getTruststorePassword, getTruststoreProvider, getTruststoreType, isCertificateVerificationDepthConfigured, setCaCertificateFile, setCaCertificatePath, setCertificateChainFile, setCertificateFile, setCertificateKeyAlias, setCertificateKeyFile, setCertificateKeyPassword, setCertificateKeystoreFile, setCertificateKeystorePassword, setCertificateKeystoreProvider, setCertificateKeystoreType, setCertificateRevocationListFile, setCertificateRevocationListPath, setCertificateVerification, setCertificateVerificationAsString, setCertificateVerificationDepth, setCiphers, setDisableCompression, setDisableSessionTickets, setEnabledCiphers, setEnabledProtocols, setHonorCipherOrder, setHostName, setInsecureRenegotiation, setKeyManagerAlgorithm, setObjectName, setOpenSslConf, setOpenSslConfContext, setOpenSslContext, setProtocols, setRevocationEnabled, setSessionCacheSize, setSessionTimeout, setSslProtocol, setTrustManagerClassName, setTrustStore, setTruststoreAlgorithm, setTruststoreFile, setTruststorePassword, setTruststoreProvider, setTruststoreType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      Deprecated.

    - #### rmiBindAddress

          protected String rmiBindAddress

      Deprecated.

    - #### rmiRegistryPortPlatform

          protected int rmiRegistryPortPlatform

      Deprecated.

    - #### rmiServerPortPlatform

          protected int rmiServerPortPlatform

      Deprecated.

    - #### rmiRegistrySSL

          protected boolean rmiRegistrySSL

      Deprecated.

    - #### rmiServerSSL

          protected boolean rmiServerSSL

      Deprecated.

    - #### authenticate

          protected boolean authenticate

      Deprecated.

    - #### passwordFile

          protected String passwordFile

      Deprecated.

    - #### loginModuleName

          protected String loginModuleName

      Deprecated.

    - #### accessFile

          protected String accessFile

      Deprecated.

    - #### useLocalPorts

          protected boolean useLocalPorts

      Deprecated.

    - #### csPlatform

          protected transient JMXConnectorServer csPlatform

      Deprecated.

  - ### Constructor Detail

    - #### JmxRemoteLifecycleListener

          public JmxRemoteLifecycleListener()

      Deprecated.

  - ### Method Detail

    - #### getRmiBindAddress

          public String getRmiBindAddress()

      Deprecated.
      Get the inet address on which the Platform RMI server is exported.
      Returns:
        The textual representation of inet address

    - #### setRmiBindAddress

          public void setRmiBindAddress(String theRmiBindAddress)

      Deprecated.
      Set the inet address on which the Platform RMI server is exported.
      Parameters:
        `theRmiBindAddress` - The textual representation of inet address

    - #### getRmiServerPortPlatform

          public int getRmiServerPortPlatform()

      Deprecated.
      Get the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.
      Returns:
        The port number

    - #### setRmiServerPortPlatform

          public void setRmiServerPortPlatform(int theRmiServerPortPlatform)

      Deprecated.
      Set the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.
      Parameters:
        `theRmiServerPortPlatform` - The port number

    - #### getRmiRegistryPortPlatform

          public int getRmiRegistryPortPlatform()

      Deprecated.
      Get the port on which the Platform RMI registry is exported.
      Returns:
        The port number

    - #### setRmiRegistryPortPlatform

          public void setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)

      Deprecated.
      Set the port on which the Platform RMI registry is exported.
      Parameters:
        `theRmiRegistryPortPlatform` - The port number

    - #### getUseLocalPorts

          public boolean getUseLocalPorts()

      Deprecated.
      Get the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.
      Returns:
        `true` if local ports should be used

    - #### setUseLocalPorts

          public void setUseLocalPorts(boolean useLocalPorts)

      Deprecated.
      Set the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.
      Parameters:
        `useLocalPorts` - Set to `true` if local ports should be used

    - #### isRmiRegistrySSL

          public boolean isRmiRegistrySSL()

      Deprecated.
      Returns:
        the rmiRegistrySSL

    - #### setRmiRegistrySSL

          public void setRmiRegistrySSL(boolean rmiRegistrySSL)

      Deprecated.
      Parameters:
        `rmiRegistrySSL` - the rmiRegistrySSL to set

    - #### isRmiServerSSL

          public boolean isRmiServerSSL()

      Deprecated.
      Returns:
        the rmiServerSSL

    - #### setRmiServerSSL

          public void setRmiServerSSL(boolean rmiServerSSL)

      Deprecated.
      Parameters:
        `rmiServerSSL` - the rmiServerSSL to set

    - #### isAuthenticate

          public boolean isAuthenticate()

      Deprecated.
      Returns:
        the authenticate

    - #### setAuthenticate

          public void setAuthenticate(boolean authenticate)

      Deprecated.
      Parameters:
        `authenticate` - the authenticate to set

    - #### getPasswordFile

          public String getPasswordFile()

      Deprecated.
      Returns:
        the passwordFile

    - #### setPasswordFile

          public void setPasswordFile(String passwordFile)

      Deprecated.
      Parameters:
        `passwordFile` - the passwordFile to set

    - #### getLoginModuleName

          public String getLoginModuleName()

      Deprecated.
      Returns:
        the loginModuleName

    - #### setLoginModuleName

          public void setLoginModuleName(String loginModuleName)

      Deprecated.
      Parameters:
        `loginModuleName` - the loginModuleName to set

    - #### getAccessFile

          public String getAccessFile()

      Deprecated.
      Returns:
        the accessFile

    - #### setAccessFile

          public void setAccessFile(String accessFile)

      Deprecated.
      Parameters:
        `accessFile` - the accessFile to set

    - #### init

          protected void init()

      Deprecated.

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Deprecated.
      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.